com.rscja.deviceapi.interfaces

## Interface IFingerprintWithFIPS

- All Known Implementing Classes:
    FingerprintWithFIPS, FingerprintWithFIPS_mtk, FingerprintWithFIPS_qcom

      public interface IFingerprintWithFIPS

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `deleteAllFingers()` 删除所有指纹信息 delete all fingerprint information
    `int` | `enroll()` 采集指纹 Acquire fingerprint
    `boolean` | `free()` 释放指纹模块 Release fingerprint module
    `boolean` | `generateImg(byte[] data, java.lang.String filePath)` 生成bmp图片 Generate bmp
    `int` | `getFingersCount()` 获取模块中采集的指纹数量 Acquire collected fingerprint amounts in module.
    `java.lang.String` | `getID()` 获取指纹ID Acquire fingerprint ID
    `FingerprintWithFIPS.FingerprintInfo` | `getPTInfo()` 获取模块信息 Acquire module information
    `int` | `grab()` 采集图像 Acquire image
    `boolean` | `init()` 初始化指纹模块 Initialize fingerprint module
    `boolean` | `init(android.content.Context mContext)` 初始化指纹模块 Initialize fingerprint module
    `boolean` | `isPowerOn()`
    `int` | `ptCapture()` 获取指纹模版 Acquire fingerprint template
    `byte[]` | `ptConvertTemplateEx(FingerprintWithFIPS.DataFormat jtarget_type, byte[] srcbuf, int jsrclen)`
    `int` | `responseCancel()` 取消当前操作 Cancel current operation
    `byte[]` | `responseContinue()` 继续当前操作 Continue current operation
    `void` | `setEnrollCallBack(FingerprintWithFIPS.EnrollCallBack callBack)` 设置采集指纹回调接口 Setup call-back contact for acquiring fingerprint
    `void` | `setGrabCallBack(FingerprintWithFIPS.GRABCallBack callBack)` 设置获取图片回调接口 Setup call-back contact for acquiring picture
    `boolean` | `setID(java.lang.String hexID)` 设置指纹模块ID Setup fingerprint module ID
    `void` | `setIdentificationCallBack(FingerprintWithFIPS.IdentificationCallBack callBack)` 设置指纹验证回调接口 Setup fingerprint verification
    `void` | `setPtCaptureCallBack(FingerprintWithFIPS.PtCaptureCallBack callBack)` 设置获取指纹模版回调接口 Setup call-back contact for acquiring fingerprint template
    `void` | `setTemplateVerifyCallBack(FingerprintWithFIPS.TemplateVerifyCallBack callBack)` 设置模版比对回调接口 Setup call-back contact for template comparison
    `void` | `startEnroll()` 开始采集指纹,注意:请调用 start acquire fingerprint, attention: call out `setEnrollCallBack(FingerprintWithFIPS.EnrollCallBack callBack)` 方法设置接收回调数据 `setEnrollCallBack(FingerprintWithFIPS.EnrollCallBack callBack)`setup receviced call-back data
    `void` | `startGRAB()` 开始获取图片,注意:请调用 start acquire picture, attention: call out `setGrabCallBack(FingerprintWithFIPS.GRABCallBack callBack)` 方法设置接收回调数据 `setGrabCallBack(FingerprintWithFIPS.GRABCallBack callBack)`method to setup received call-back data.
    `void` | `startIdentification()` 开始验证指纹,注意:请调用 start verify finerprint, attention: call out `setIdentificationCallBack(FingerprintWithFIPS.IdentificationCallBack callBack)` 方法设置接收回调数据 `setIdentificationCallBack(FingerprintWithFIPS.IdentificationCallBack callBack)` setup receviced call-back data
    `void` | `startPtCapture()` 开始获取指纹模版,注意:请调用 Start acquire fingerprint template, attention: call up `setPtCaptureCallBack(FingerprintWithFIPS.PtCaptureCallBack callBack)` 方法设置接收回调数据 `setPtCaptureCallBack(FingerprintWithFIPS.PtCaptureCallBack callBack)` method to setup received call-back data.
    `void` | `startTemplateVerify(char[] template)` 开始模版验证,注意:请调用 start template verification, attention: call out `setTemplateVerifyCallBack(FingerprintWithFIPS.TemplateVerifyCallBack callBack)` 方法设置接收回调数据 `setTemplateVerifyCallBack(FingerprintWithFIPS.TemplateVerifyCallBack callBack)`method to setup received call-back data.
    `void` | `stopEnroll()` 停止采集指纹 Stop acquiring fingerprint
    `void` | `stopGRAB()` 停止获取图片 stop acquiring picture
    `void` | `stopIdentification()` 停止指纹验证 Stop fingerprint verification
    `void` | `stopPtCapture()` 停止获取指纹模版 Stop acquiring fingerprint template
    `void` | `stopTemplateVerify()` 停止模版比对 Stop template comparison
    `int` | `storeFinger(byte[] templateData)` 将指纹模板导入到指纹模块中
    `int` | `Verify(char[] data, int len)` 模版比对指纹,导入模版数据和当前指纹比对 Compare template and fingerprint, import template data and current fingerprint comparison.
    `int` | `verifyALL()` 验证指纹,验证当前指纹是否在指纹模块库里面存在 Verify fingerprint, verify current fingerprint exist in fingerprint library or not.

- - ### Method Detail

    - #### init

          boolean init(android.content.Context mContext)

      初始化指纹模块
      Initialize fingerprint module
      Returns:
        true成功，false失败
        true means success, false means failed

    - #### init

          boolean init()

      初始化指纹模块
      Initialize fingerprint module
      Returns:
        true成功，false失败
        truen means success, false means failed

    - #### free

          boolean free()

      释放指纹模块
      Release fingerprint module
      Returns:
        true成功，false失败
        true means, false means failed

    - #### enroll

          int enroll()

      采集指纹
      Acquire fingerprint
      Returns:
        0表示操作成功，其他值表示操作失败
        0 means operation success, other means operation failed.

    - #### verifyALL

          int verifyALL()

      验证指纹,验证当前指纹是否在指纹模块库里面存在
      Verify fingerprint, verify current fingerprint exist in fingerprint library or not.
      Returns:
        0表示操作成功，其他值表示操作失败
        0 means operation success, other means operation failed.

    - #### Verify

          int Verify(char[] data,
                     int len)

      模版比对指纹,导入模版数据和当前指纹比对
      Compare template and fingerprint, import template data and current fingerprint comparison.
      Parameters:
        `data` - 模版数据
        data template data
        `len` - 数据长度
        len data length
      Returns:
        0表示操作成功，其他值表示操作失败
        0 means operation success, others means operation failed

    - #### deleteAllFingers

          int deleteAllFingers()

      删除所有指纹信息
      delete all fingerprint information
      Returns:
        0表示操作成功，其他值表示操作失败
        0 means operation success, others means operation failed

    - #### storeFinger

          int storeFinger(byte[] templateData)

      将指纹模板导入到指纹模块中
      Parameters:
        `templateData` - 模板数据
      Returns:
        返回id; success: >=0 faile:-1

    - #### getFingersCount

          int getFingersCount()

      获取模块中采集的指纹数量
      Acquire collected fingerprint amounts in module.
      Returns:
        指纹数量, 返回-1为获取失败
        return fingerprint amounts, return -1 means acquire failed

    - #### responseCancel

          int responseCancel()

      取消当前操作
      Cancel current operation
      Returns:
        0表示操作成功，其他值表示操作失败
        return 0 means operation success, others means operation failed

    - #### responseContinue

          byte[] responseContinue()

      继续当前操作
      Continue current operation
      Returns:
        索引0~4 是状态，4~8是后面数据的长度，8~12是指纹ID；如果是采集指纹，后面的数据就是指纹特征数据
        return index 0 to 4 means status, 4 to 8 means back data length, 8 to 12 means fingerprint ID, if it is acquired fingerprint, back data means fingerprint characteristic data.

    - #### grab

          int grab()

      采集图像
      Acquire image
      Returns:
        0表示操作成功，其他值表示操作失败
        return 0 means operation success, others means operation failed

    - #### ptCapture

          int ptCapture()

      获取指纹模版
      Acquire fingerprint template
      Returns:
        0表示操作成功，其他值表示操作失败
        return 0 means operation success, others means operation failed

    - #### ptConvertTemplateEx

          byte[] ptConvertTemplateEx(FingerprintWithFIPS.DataFormat jtarget_type,
                                     byte[] srcbuf,
                                     int jsrclen)

      Parameters:
        `jtarget_type` - 转换后的格式类型
        param jtarget_type data format after transformed
        `srcbuf` - 转换之前的数据
        param srcbuf before transformed
        `jsrclen` - 转换之前的数据长度
        param jsrclen data length before transformed
      Returns:
        返回转换后的数据
        return transfered data

    - #### getPTInfo

          FingerprintWithFIPS.FingerprintInfo getPTInfo()

      获取模块信息
      Acquire module information
      Returns:
        返回fips指纹模块信息
        return fips fingerprint module information

    - #### generateImg

          boolean generateImg(byte[] data,
                              java.lang.String filePath)

      生成bmp图片
      Generate bmp
      Parameters:
        `data` - 数据
        parame data
        `filePath` - 生成后图片保存的文件路径
        param filePath file indirectory after picture generated
      Returns:
        true 成功，false 失败
        return ture means success, false means failed

    - #### setID

          boolean setID(java.lang.String hexID)

      设置指纹模块ID
      Setup fingerprint module ID
      Returns:
        设置成功返回ture，设置失败返回false
        setup success return ture, setup failed return false

    - #### getID

          java.lang.String getID()

      获取指纹ID
      Acquire fingerprint ID
      Returns:
        返回指纹ID
        return fingerprint ID

    - #### startPtCapture

          void startPtCapture()

      开始获取指纹模版,注意:请调用
      Start acquire fingerprint template, attention: call up
      `setPtCaptureCallBack(FingerprintWithFIPS.PtCaptureCallBack callBack)` 方法设置接收回调数据
      `setPtCaptureCallBack(FingerprintWithFIPS.PtCaptureCallBack callBack)` method to setup received call-back data.

    - #### startGRAB

          void startGRAB()

      开始获取图片,注意:请调用
      start acquire picture, attention: call out
      `setGrabCallBack(FingerprintWithFIPS.GRABCallBack callBack)` 方法设置接收回调数据
      `setGrabCallBack(FingerprintWithFIPS.GRABCallBack callBack)`method to setup received call-back data.

    - #### startTemplateVerify

          void startTemplateVerify(char[] template)

      开始模版验证,注意:请调用
      start template verification, attention: call out
      `setTemplateVerifyCallBack(FingerprintWithFIPS.TemplateVerifyCallBack callBack)` 方法设置接收回调数据
      `setTemplateVerifyCallBack(FingerprintWithFIPS.TemplateVerifyCallBack callBack)`method to setup received call-back data.

    - #### startEnroll

          void startEnroll()

      开始采集指纹,注意:请调用
      start acquire fingerprint, attention: call out
      `setEnrollCallBack(FingerprintWithFIPS.EnrollCallBack callBack)` 方法设置接收回调数据
      `setEnrollCallBack(FingerprintWithFIPS.EnrollCallBack callBack)`setup receviced call-back data

    - #### startIdentification

          void startIdentification()

      开始验证指纹,注意:请调用
      start verify finerprint, attention: call out
      `setIdentificationCallBack(FingerprintWithFIPS.IdentificationCallBack callBack)` 方法设置接收回调数据
      `setIdentificationCallBack(FingerprintWithFIPS.IdentificationCallBack callBack)` setup receviced call-back data

    - #### stopGRAB

          void stopGRAB()

      停止获取图片
      stop acquiring picture

    - #### stopEnroll

          void stopEnroll()

      停止采集指纹
      Stop acquiring fingerprint

    - #### stopPtCapture

          void stopPtCapture()

      停止获取指纹模版
      Stop acquiring fingerprint template

    - #### stopTemplateVerify

          void stopTemplateVerify()

      停止模版比对
      Stop template comparison

    - #### stopIdentification

          void stopIdentification()

      停止指纹验证
      Stop fingerprint verification

    - #### setGrabCallBack

          void setGrabCallBack(FingerprintWithFIPS.GRABCallBack callBack)

      设置获取图片回调接口
      Setup call-back contact for acquiring picture
      Parameters:
        `callBack` - 回调方法
        callBack call-back method

    - #### setEnrollCallBack

          void setEnrollCallBack(FingerprintWithFIPS.EnrollCallBack callBack)

      设置采集指纹回调接口
      Setup call-back contact for acquiring fingerprint
      Parameters:
        `callBack` - 回调方法
        callBack call-back method

    - #### setPtCaptureCallBack

          void setPtCaptureCallBack(FingerprintWithFIPS.PtCaptureCallBack callBack)

      设置获取指纹模版回调接口
      Setup call-back contact for acquiring fingerprint template
      Parameters:
        `callBack` - 回调方法
        callBack call-back method

    - #### setIdentificationCallBack

          void setIdentificationCallBack(FingerprintWithFIPS.IdentificationCallBack callBack)

      设置指纹验证回调接口
      Setup fingerprint verification
      Parameters:
        `callBack` - 回调方法
        callBack call-back method

    - #### setTemplateVerifyCallBack

          void setTemplateVerifyCallBack(FingerprintWithFIPS.TemplateVerifyCallBack callBack)

      设置模版比对回调接口
      Setup call-back contact for template comparison
      Parameters:
        `callBack` - 回调方法
        callBack call-back method

    - #### isPowerOn

          boolean isPowerOn()